## NULL-Prädikat (null_predicate)

Durch Angabe eines NULL-Prädikats (null_predicate) wird getestet, ob es sich um einen NULL-Wert handelt oder nicht.

### Syntax

<null_predicate> ::= <expression> IS [NOT] NULL

### Beispiele

SQL-Tutorial, Negative Bedingungen: NOT

### Erläuterung

Der Wahrheitswert eines NULL-Prädikats ist entweder wahr oder falsch.

| Ergebnis der Funktion x IS NULL
x ist NULL-Wert | wahr
x ist Spezial-NULL-Wert | falsch

x IS NOT NULL hat das gleiche Ergebnis wie NOT(x IS NULL).